Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Class EsriGraphicFactory.ReadByteTracker

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.EsriGraphicFactory.ReadByteTracker

Enclosing class:
  EsriGraphicFactory

public static class EsriGraphicFactory.ReadByteTracker
extends java.lang.Object

Constructor Summary
`EsriGraphicFactory.ReadByteTracker()`
`EsriGraphicFactory.ReadByteTracker(int tc)`

Method Summary
`int` | `addRead(int num)`
`int` | `numLeft()`
`void` | `reset(int newTotal)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EsriGraphicFactory.ReadByteTracker

    public EsriGraphicFactory.ReadByteTracker()

### EsriGraphicFactory.ReadByteTracker

    public EsriGraphicFactory.ReadByteTracker(int tc)

Method Detail

### numLeft

    public int numLeft()

### addRead

    public int addRead(int num)

### reset

    public void reset(int newTotal)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details